ros-rolling-ament-pep257 (0.20.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 18 Jun 2025 22:00:00 -0000

ros-rolling-ament-pep257 (0.20.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 23 Apr 2025 22:00:00 -0000

ros-rolling-ament-pep257 (0.19.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 16 Apr 2025 22:00:00 -0000

ros-rolling-ament-pep257 (0.19.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sat, 01 Feb 2025 23:00:00 -0000

ros-rolling-ament-pep257 (0.19.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-ament-pep257 (0.18.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-ament-pep257 (0.18.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-ament-pep257 (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-ament-pep257 (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-ament-pep257 (0.16.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-ament-pep257 (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-ament-pep257 (0.16.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-ament-pep257 (0.16.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-ament-pep257 (0.15.2-1noble) noble; urgency=high

  * Convert linenumber to string when printing errors (#443 <https://github.com/ament/ament_lint/issues/443>)
  * Contributors: Robert Brothers

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-ament-pep257 (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-rolling-ament-pep257 (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-rolling-ament-pep257 (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-ament-pep257 (0.14.0-1noble) noble; urgency=high

  * updating ref to pep257 docs (#433 <https://github.com/ament/ament_lint/issues/433>)
  * Added underscore to ignore new pydocstyle item (#428 <https://github.com/ament/ament_lint/issues/428>)
  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash, Christian Henkel, Cristóbal Arroyo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-ament-pep257 (0.13.2-1noble) noble; urgency=high

  * [ament_pep257][master] redirecting error prints to stderr (#390 <https://github.com/ament/ament_lint/issues/390>)
  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: Mirco Colosi (CR/AAS3), methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-ament-pep257 (0.13.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 08 May 2022 22:00:00 -0000

ros-rolling-ament-pep257 (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-ament-pep257 (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-rolling-ament-pep257 (0.12.2-1noble) noble; urgency=high

  * Improve documentation by clarifying the purpose of different tools (#357 <https://github.com/ament/ament_lint/issues/357>)
  * Contributors: Bi0T1N

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-rolling-ament-pep257 (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-ament-pep257 (0.12.0-1noble) noble; urgency=high

  * Remove use of distutils.version.LooseVersion. (#346 <https://github.com/ament/ament_lint/issues/346>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 23:00:00 -0000

ros-rolling-ament-pep257 (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-ament-pep257 (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-ament-pep257 (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-rolling-ament-pep257 (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-rolling-ament-pep257 (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-rolling-ament-pep257 (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-rolling-ament-pep257 (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Apr 2021 22:00:00 -0000

ros-rolling-ament-pep257 (0.10.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-ament-pep257 (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Mar 2021 23:00:00 -0000

ros-rolling-ament-pep257 (0.10.2-1noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Feb 2021 23:00:00 -0000

ros-rolling-ament-pep257 (0.10.1-1noble) noble; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-ament-pep257 (0.10.0-1noble) noble; urgency=high

  * remove use of "extend" action in argparse (#262 <https://github.com/ament/ament_lint/issues/262>)
  * Expand ignores to pep257 definition. (#241 <https://github.com/ament/ament_lint/issues/241>)
    * Expand ignores to pep257 definition. (ament #240 <https://github.com/ament/ament_lint/issues/240>)
    * add '--allow-undocumented' flag to enforce pep257
    * restore existing default error codes to check
    * fix no-ignores logic
    * expose options from pydocstyle
    * allow user to explicitly set convention to "ament"
    * fix typo in populating argv for pydocstyle
    * reformat ament convention list
    * Add help info for ament convention
  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * remove match args to allow pydocstyle defaults (#243 <https://github.com/ament/ament_lint/issues/243>)
  * Contributors: Chris Lalancette, Ted Kern

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Sep 2020 22:00:00 -0000

ros-rolling-ament-pep257 (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-ament-pep257 (0.9.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-rolling-ament-pep257 (0.9.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-rolling-ament-pep257 (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jose Luis Rivero

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 Apr 2020 22:00:00 -0000

ros-rolling-ament-pep257 (0.8.1-1noble) noble; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-ament-pep257 (0.8.0-1noble) noble; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Ability to exclude folders with ament_pep257 (#176 <https://github.com/ament/ament_lint/issues/176>)
  * Contributors: Dirk Thomas, Dmitriy Vornychev

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-rolling-ament-pep257 (0.7.4-1noble) noble; urgency=high

  * declare pytest markers (#164 <https://github.com/ament/ament_lint/issues/164>)
    * declare pytest markers
    * add markers to ament_xmllint tests
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-rolling-ament-pep257 (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 12:08:00 -0000

ros-rolling-ament-pep257 (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 07:30:00 -0000

ros-rolling-ament-pep257 (0.7.1-1noble) noble; urgency=high

  * update phrase of status messages (#137 <https://github.com/ament/ament_lint/issues/137>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-rolling-ament-pep257 (0.7.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 10 Apr 2019 22:00:00 -0000

ros-rolling-ament-pep257 (0.6.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 13 Jan 2019 23:00:00 -0000

ros-rolling-ament-pep257 (0.6.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-rolling-ament-pep257 (0.6.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 23:00:00 -0000

ros-rolling-ament-pep257 (0.6.0-1noble) noble; urgency=high

  * Fix lint warnings from invalid escape sequences (#111 <https://github.com/ament/ament_lint/issues/111>)
    Use raw strings for regex patterns to avoid warnings.
  * Contributors: Jacob Perron

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 23:00:00 -0000

ros-rolling-ament-pep257 (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-rolling-ament-pep257 (0.5.1-1noble) noble; urgency=high

  * level setup.py versions to 0.5.1
  * Contributors: Mikael Arguedas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 11:47:00 -0000

ros-rolling-ament-pep257 (0.5.0-1noble) noble; urgency=high

  * add pytest markers to linter tests
  * set zip_safe to avoid warning during installation (#96 <https://github.com/ament/ament_lint/issues/96>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 08:09:00 -0000

ros-rolling-ament-pep257 (0.4.0-1noble) noble; urgency=high

  * remove test_suite, add pytest as test_requires
  * Add new D106, D107 linter errors to ignored list (#86 <https://github.com/ament/ament_lint/issues/86>)
    * Add new D107 linter error to ignored list
    * Ignore D106 also
  * 0.0.3
  * Merge pull request #84 <https://github.com/ament/ament_lint/issues/84> from ament/flake8_plugins
    update style to satisfy new flake8 plugins
  * update style to satisfy new flake8 plugins
  * 0.0.2
  * Merge pull request #78 <https://github.com/ament/ament_lint/issues/78> from ament/use_flake8
    use flake8 instead of pep8 and pyflakes
  * fix style warnings
  * use flake8 instead of pep8 and pyflakes
  * Fix pydocstyle 2.0.0 (#71 <https://github.com/ament/ament_lint/issues/71>)
    * works with 2.0.0
    * works with 1.1.1 and 2.0.0
  * remove __future__ imports
  * Merge pull request #61 <https://github.com/ament/ament_lint/issues/61> from ament/multistring_format
    (dev) enforcing multiline docstring format
  * ignore D404
  * (dev) enforcing multiline docstring format
    by ignoring D212 we implicitely enforce D213 as the multistring comment
    format
  * Merge pull request #58 <https://github.com/ament/ament_lint/issues/58> from Karsten1987/master
    (fix) correct pydocstyle import for version 1.1.0
  * (fix) correct pydocstyle import for version 1.1.0
  * update schema url
  * add schema to manifest files
  * fix pydocstyle paths (#57 <https://github.com/ament/ament_lint/issues/57>)
  * Merge pull request #49 <https://github.com/ament/ament_lint/issues/49> from ament/xenial
    use upstream pydocstyle
  * use new pydocstyle
  * Merge pull request #47 <https://github.com/ament/ament_lint/issues/47> from ament/wjwwood-patch-1
    ignore pep257 error D203 by default
  * ignore pep257 error D203 by default
  * Merge pull request #42 <https://github.com/ament/ament_lint/issues/42> from ament/remove_second_extension
    remove result type extension from testsuite name
  * remove result type extension from testsuite name
  * Merge pull request #28 <https://github.com/ament/ament_lint/issues/28> from ament/pep257
    add packages to check pep257 compliance
  * add ament_pep257 package
  * Contributors: Dirk Thomas, Karsten Knese, William Woodall, dhood

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


